Index: res/res_pjsip_pubsub.c
===================================================================
--- res/res_pjsip_pubsub.c	(revision 424093)
+++ res/res_pjsip_pubsub.c	(working copy)
@@ -1038,8 +1038,10 @@
 	AST_RWLIST_TRAVERSE_SAFE_BEGIN(&subscriptions, i, next) {
 		if (i == obj) {
 			AST_RWLIST_REMOVE_CURRENT(next);
-			ast_debug(1, "Removing subscription to resource %s from list of subscriptions\n",
-					ast_sip_subscription_get_resource_name(i->root));
+			if (i->root) {
+				ast_debug(1, "Removing subscription to resource %s from list of subscriptions\n",
+						ast_sip_subscription_get_resource_name(i->root));
+			}
 			break;
 		}
 	}
